Page MenuHomeFreeBSD

Always install llvm-objdump as objdump
ClosedPublic

Authored by emaste on Nov 18 2022, 8:50 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jan 29, 11:26 AM
Unknown Object (File)
Mon, Jan 9, 11:36 AM
Unknown Object (File)
Sat, Jan 7, 2:52 PM
Unknown Object (File)
Dec 30 2022, 2:59 AM
Unknown Object (File)
Dec 16 2022, 1:47 PM
Unknown Object (File)
Dec 12 2022, 3:36 PM
Unknown Object (File)
Dec 1 2022, 8:36 PM
Unknown Object (File)
Dec 1 2022, 8:36 PM
Subscribers

Details

Summary

Instead of providing no /usr/bin/objdump when LLVM_BINUTILS is false.

Diff Detail

Lint
Lint Skipped
Unit
Tests Skipped

Event Timeline

I'm not sure if it's better to install as llvm-objdump (and llvm-objdump.1) and have links, or just avoid the llvm- prefixed versions and install only as objdump.

Is the alias already in OptionalObsoleteFiles.inc ? For the rest, LGTM.

This revision is now accepted and ready to land.Nov 18 2022, 9:05 PM

I'm not sure if it's better to install as llvm-objdump (and llvm-objdump.1) and have links, or just avoid the llvm- prefixed versions and install only as objdump.

Since these are hard links (?) it isn't easily visible for an end-user which objdump they are running. Well, unless they try --version or something like that. The only reason for keeping this stuff might be if this is ever backported to a branch which still has the old binutils, but I think it's only stable/12 now, maybe ?

Oh, hm I thought it was duplicated in OptionalObsoleteFiles.inc but I'm mistaken.
There is a section .if ${MK_CLANG} == no && ${MK_LLVM_BINUTILS} == no

Move OptionalObsoleteFiles.inc entries to existing section

This revision now requires review to proceed.Nov 25 2022, 4:18 PM
This revision was not accepted when it landed; it landed in state Needs Review.Dec 12 2022, 3:36 PM
This revision was automatically updated to reflect the committed changes.